#!/usr/bin/make -f

PACKAGE = $(shell dh_listpackages)
TMP     = $(CURDIR)/debian/$(PACKAGE)

%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	sed -i '1s|^#!.*perl|#!/usr/bin/perl|' $(TMP)/usr/bin/s3cl
	# almost empty / boilerplate
	$(RM) -v $(TMP)/usr/share/man/man3/Net::Amazon::S3::Role::Bucket.3pm \
		$(TMP)/usr/share/man/man3/Net::Amazon::S3::Signature::V2.3pm \
		$(TMP)/usr/share/man/man3/Net::Amazon::S3::Signature::V4.3pm \
		$(TMP)/usr/share/man/man3/Net::Amazon::S3::Operation::Object::Head.pm \
		$(TMP)/usr/share/man/man3/Net::Amazon::S3::Operation::Object::Head::Request.pm \
		$(TMP)/usr/share/man/man3/Net::Amazon::S3::Operation::Object::Head::Response.pm \
		$(TMP)/usr/share/man/man3/Net::Amazon::S3::ACL::Canned.3pm \
		$(TMP)/usr/share/man/man3/Net::Amazon::S3::Constants.3pm \
		$(TMP)/usr/share/man/man3/Net::Amazon::S3::Constraint::ACL::Canned.3pm
	$(RM) -v -r $(TMP)/usr/share/perl5/Shared $(TMP)/usr/share/man/man3/Shared*

override_dh_installexamples:
	dh_installexamples
	sed -i '1s|^#!.*perl|#!/usr/bin/perl|' $(TMP)/usr/share/doc/$(PACKAGE)/examples/*
